@extends('admin.layout.default')
@section('styles')
    <link rel="stylesheet" href="{{ url('storage/admin-assets/css/datatables/dataTables.bootstrap5.min.css') }}">
    <link rel="stylesheet" href="{{ url('storage/admin-assets/css/datatables/buttons.dataTables.min.css') }}">
    
@endsection
@section('content')
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                <h5 class="text-uppercase">{{ trans('labels.contact_inquiries') }}</h5>
                <div class="card border-0 my-3">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped py-3 w-100" id="inquiries">
                                <thead>
                                    <tr class="text-uppercase fw-500">
                                        <td>#</td>
                                        <td>{{ trans('labels.business_name') }}</td>
                                        <td>{{ trans('labels.name') }}</td>
                                        <td>{{ trans('labels.mobile') }}</td>
                                        <td>{{ trans('labels.email') }}</td>
                                        <td>{{ trans('labels.message') }}</td>
                                    </tr>
                                </thead>
                                <tbody>
                                    @php $i = 1; @endphp
                                    @foreach ($inquiries as $data)
                                        <tr>
                                            <td>{{ $i++ }}</td>
                                            <td>{{$data['business_info']->title}}</td>
                                            <td>{{$data->name}}</td>
                                            <td>{{$data->mobile}}</td>
                                            <td>{{$data->email}}</td>
                                            <td>{{$data->message}}</td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script src="{{ url('storage/admin-assets/js/datatables/jquery.dataTables.min.js') }}"></script><!-- Datatables JS -->
    <script src="{{ url('storage/admin-assets/js/datatables/dataTables.bootstrap5.min.js') }}"></script><!-- Datatables Bootstrap5 JS -->
    <script src="{{ url('storage/admin-assets/js/datatables/dataTables.buttons.min.js') }}"></script><!-- Datatables Buttons JS -->
    <script src="{{ url('storage/admin-assets/js/datatables/jszip.min.js') }}"></script><!-- Datatables Excel Buttons JS -->
    <script src="{{ url('storage/admin-assets/js/datatables/pdfmake.min.js') }}"></script><!-- Datatables Make PDF Buttons JS -->
    <script src="{{ url('storage/admin-assets/js/datatables/vfs_fonts.js') }}"></script><!-- Datatables Export PDF Buttons JS -->
    <script src="{{ url('storage/admin-assets/js/datatables/buttons.html5.min.js') }}"></script><!-- Datatables Buttons HTML5 JS -->
    <script>
        $(document).ready(function() {
            "use strict";
            $('#inquiries').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'excelHtml5',
                    'pdfHtml5'
                ]
            });
        });
    </script>
@endsection
